[Trunk] rounding issue with account taxes

Bug #1025649 reported by Jacques-Etienne Baudoux on 2012-07-17
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Odoo Addons (MOVED TO GITHUB)
Fix Committed
Medium
OpenERP R&D Addons Team 3
Therp Backports (Deprecated)
Status tracked in Addons-6.1
Addons-6.1
Undecided
Ronald Portier (Therp)

Bug Description

Related to the fix introduced following that bug
https://bugs.launchpad.net/openobject-addons/+bug/882036

the new rounding method created in the server should be used in the addons.

For instance, the rounding of the tax is performed in the account module with the python round method. The float_round method should be used in order to properly compute the taxes.

=== modified file 'account/account.py'
--- account/account.py 2012-03-22 12:24:19 +0000
+++ account/account.py 2012-07-17 11:17:12 +0000
@@ -29,6 +29,7 @@
 from osv import fields, osv
 import decimal_precision as dp
 from tools.translate import _
+from tools import float_round as round

 def check_cycle(self, cr, uid, ids, context=None):
     """ climbs the ``self._table.parent_id`` chains for 100 levels or

=== modified file 'account/account_bank_statement.py'
--- account/account_bank_statement.py 2012-03-22 11:39:59 +0000
+++ account/account_bank_statement.py 2012-07-17 11:23:22 +0000
@@ -24,6 +24,7 @@
 from osv import fields, osv
 from tools.translate import _
 import decimal_precision as dp
+from tools import float_round as round

 class account_bank_statement(osv.osv):

Related branches

Changed in openobject-addons:
importance: Undecided → Medium
status: New → Confirmed
assignee: nobody → OpenERP R&D Addons Team 3 (openerp-dev-addons3)
Amit Parik (amit-parik) on 2012-08-07
summary: - [6.1] rounding issue with account taxes
+ [Trunk] rounding issue with account taxes
Changed in openobject-addons:
status: Confirmed → In Progress
Changed in openobject-addons:
status: In Progress → Fix Committed
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers